System 2.0.0.0 4.0.0.0 System.Object

The MAC address, or physical address, is a hardware address that uniquely identifies each node, such as a computer or printer, on a network.

Instances of this class are returned by the method.

Provides the Media Access Control (MAC) address for a network interface (adapter).

- Constructor
  2.0.0.0
  4.0.0.0

  In common scenarios, applications do not need to call this constructor; instances of this class are returned by the method.

  Note that you can also use the method to create a new instance of .

  Initializes a new instance of the class.

  A array containing the address.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Compares two instances.

  true if this instance and the specified instance contain the same address; otherwise false.

  The to compare to the current instance.
- Method
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added.

  Returns the address of the current instance.

  A array containing the address.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Returns the hash value of a physical address.

  An integer hash value.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.PhysicalAddress

  The method returns if you specify null address.

  Returns a new instance with a zero length address. This field is read-only.

- Method
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.PhysicalAddress ``

  The parameter must contain a string that can only consist of numbers and upper-case letters as hexadecimal digits. Some examples of string formats that are acceptable are as follows:

  001122334455

  00-11-22-33-44-55

  F0-E1-D2-C3-B4-A5

  Note that an address that contains f0-e1-d2-c3-b4-a5 will fail to parse and throw an exception.

  Use the method to retrieve the address from an existing instance.

  Parses the specified and stores its contents as the address bytes of the returned by this method.

  A instance with the specified address.

  A containing the address that will be used to initialize the instance returned by this method.
- Method
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Returns the representation of the address of this instance.

  A containing the address contained in this instance.